# coding=utf8
import tkinter

class MyApp(tkinter.Frame):

	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.pack(expand=True, fill="both", padx="5", pady="5")
		#self.config(background = "yellow") 
		self.setGUI()

	def setGUI(self):
		inputframe = tkinter.Frame(self)
		inputframe.background = "red" #"#FF0000"
		inputframe.pack(expand=True,fill="x", side="top" )

		self.label1 = tkinter.Label(inputframe)
		self.label1["text"] = "Eingabe"
		self.label1.config(foreground = "blue" )
		self.label1.config(background = "#FFFF00") #"#FF0000"
		self.label1.pack(side="left")
	
		self.inputui = tkinter.Entry(inputframe)
		self.inputui.pack(fill="x",padx="5",pady="5")


		self.bnOk = tkinter.Button(self)
		self.bnOk["text"] = "Ok"
		self.bnOk["command"] = self.quit
		self.bnOk.pack(side="right")

		self.bnAction = tkinter.Button(self)
		self.bnAction["text"] = "Action"
		self.bnAction["command"] = self.onAction
		self.bnAction.pack(side="right")

	def onAction(self):
		s = self.inputui.get()
		self.inputui.set( "Text: "+s )


root = tkinter.Tk()
root.title("Mein Fenster")
root.geometry("250x100")
app = MyApp(root)
app.mainloop()
