import tkinter

class MyApp(tkinter.Frame):
	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.setGUI()
		self.pack()  # muss immer sein

	def setGUI(self):
		self.bnAction = tkinter.Button(self)
		self.bnAction["text"] = "Action"
		self.bnAction["command"] = self.onAction
		self.bnAction.pack(side="right")
		self.bnAction.grid(row=0, column=0, padx="10",pady="10", sticky="w")

		self.editor = tkinter.Text(self)
		self.editor.grid(row=1, column=0, padx="5",pady="5")
		# self.editor.bind("<KeyRelease>", textChanged)  # noch fehlerhaft
		
        
	def onAction(self):
		# self.editor.insert(0,"\r\nAm Anfang\r\n")
		self.editor.insert("end","\r\nonAction\r\n")

	def textChanged(event):
		print("Text Changed")

root = tkinter.Tk()
root.title("Textfeld")
root.geometry("250x300")
app = MyApp(root)
app.mainloop()
