unit PythonIDE_bas;

interface

procedure leseKonfiguration;

procedure speichereKonfiguration;


implementation


uses basis, main, PythonIDE_var, graphics;

procedure leseKonfiguration;
var szAktPfad:string;
begin
  getDir(0,szAktPfad);
     G_InEditMitTabs := ReadRegBoolean(C_REG_ADR,'Editor_InEditMitTabs', false);

     G_CaptionMitVollemNamen := ReadRegBoolean(C_REG_ADR,'Editor_CaptionMitVollemNamen', true);


     G_EditorPfad := ReadRegString(C_REG_ADR,'Pfade_EditorPfad',G_Pfad);
     if G_EditorPfad='' then G_EditorPfad:=G_Pfad;

     G_szDosProgramm := ReadRegString(C_REG_ADR,'SET_COMSPEC','');
     G_DosProgrammComSpec := ReadRegBoolean(C_REG_ADR,'SET_COMSPECINDI', true);

     G_TabBreite :=  ReadRegInteger(C_REG_ADR,'Allgemein_TabBreite', 2);

     G_BakDateiErstellen := ReadRegBoolean(C_REG_ADR,'Allgemein_AutoSave', True);


     G_Multiline:= ReadRegBoolean(C_REG_ADR,'Allgemein_Multiline',true);

     G_SucheAmAktuellenCursor:= ReadRegBoolean(C_REG_ADR,'Allgemein_SucheAmAktuellenCursor',false);

     // GG_FensterImmerMaximal := ReadRegBool(C_REG_ADR,'Allgemein', 'FensterImmerMaximal', True);

     G_ImmerSicherheitsabfrage := ReadRegBoolean(C_REG_ADR,'Allgemein_ImmerSicherheitsabfrage', True);


     // G_AutomatischesBackup := ReadRegBool   (C_REG_ADR,'Backup', 'AutomatischesBackup', False);
     // G_Intervallzeit := ReadInteger(C_REG_ADR,'Backup', 'Intervallzeit', 5);
     // G_AnzahlDerBackups := ReadInteger(C_REG_ADR,'Backup', 'AnzahlDerBackups', 5);


    G_Compiler:=ReadRegString(C_REG_ADR,'Programme_Compiler','C:\dmd\bin\dmd.exe');
    G_CompilerParameter:=ReadRegString(C_REG_ADR,'Programme_CompilerParameter','');
    G_RunParameter:=ReadRegString(C_REG_ADR,'Programme_RunParameter','');

    G_KeyCompiler := ReadRegString(C_REG_ADR,'Tastencode_Compiler','F8');
    if G_KeyCompiler = '' then G_KeyCompiler := 'F8';

    G_KeyRun      := ReadRegString(C_REG_ADR,'Tastencode_Run','F9');
    if G_KeyRun = '' then G_KeyRun := 'F9';

    G_ParameterValue := ReadRegInteger(C_REG_ADR,'Wizard_ParameterValue', 3);

    G_Methodenname:=  ReadRegInteger(C_REG_ADR,'Wizard_Methodenname', 2);



    leseBasisKonfiguration(C_REG_ADR);

    // speichereKonfiguration;
end; (* lese konfig *)



procedure speichereKonfiguration;
begin
     WriteRegBoolean(C_REG_ADR,'Editor_InEditMitTabs', G_InEditMitTabs);

     WriteRegBoolean(C_REG_ADR,'Editor_CaptionMitVollemNamen', G_CaptionMitVollemNamen);


     WriteRegInteger(C_REG_ADR,'Schrift_ErrorSchriftGroesse',G_ErrorSchriftGroesse);
     WriteRegInteger(C_REG_ADR,'Schrift_ErrorSchriftFarbe',G_ErrorSchriftFarbe);
     WriteRegString(C_REG_ADR,'Schrift_ErrorSchriftName',G_ErrorSchriftName);

     WriteRegBoolean(C_REG_ADR,'Schrift_ErrorSchriftBold', G_ErrorSchriftBold);


     WriteRegString(C_REG_ADR,'Pfade_EditorPfad',G_EditorPfad);

     WriteRegBoolean(C_REG_ADR,'Allgemein_Multiline',G_Multiline);

     WriteRegBoolean(C_REG_ADR,'Allgemein_SucheAmAktuellenCursor', G_SucheAmAktuellenCursor);


     WriteRegString(C_REG_ADR,'SET_COMSPEC',G_szDosProgramm);
     WriteRegBoolean(C_REG_ADR,'SET_COMSPECINDI', G_DosProgrammComSpec);


     WriteRegBoolean(C_REG_ADR,'Allgemein_AutoSave', G_BakDateiErstellen);

     // WriteRegBool(C_REG_ADR,'Allgemein', 'FensterImmerMaximal', GG_FensterImmerMaximal);

     WriteRegBoolean(C_REG_ADR,'Allgemein_ImmerSicherheitsabfrage', G_ImmerSicherheitsabfrage);

     WriteRegInteger(C_REG_ADR,'Allgemein_TabBreite', G_TabBreite);


     WriteRegInteger(C_REG_ADR,'Fenster_Top', FMain.Top);
     WriteRegInteger(C_REG_ADR,'Fenster_Left', FMain.Left);
     WriteRegInteger(C_REG_ADR,'Fenster_Width', FMain.Width);
     WriteRegInteger(C_REG_ADR,'Fenster_Height', FMain.Height);

     (*
     WriteRegBool   (C_REG_ADR,'Backup', 'AutomatischesBackup', G_AutomatischesBackup);
     WriteRegInteger(C_REG_ADR,'Backup', 'Intervallzeit', G_Intervallzeit);
     WriteRegInteger(C_REG_ADR,'Backup', 'AnzahlDerBackups', G_AnzahlDerBackups);
     *)
    WriteRegString(C_REG_ADR,'Programme_Compiler',G_Compiler);
    WriteRegString(C_REG_ADR,'Programme_CompilerParameter',G_CompilerParameter);
    WriteRegString(C_REG_ADR,'Programme_RunParameter',G_RunParameter);

    WriteRegString(C_REG_ADR,'Tastencode_Compiler',G_KeyCompiler);
    WriteRegString(C_REG_ADR,'Tastencode_Run', G_KeyRun);

    WriteRegInteger(C_REG_ADR,'Wizard_ParameterValue', G_ParameterValue);

    WriteRegInteger(C_REG_ADR,'Wizard_Methodenname', G_Methodenname);



    speichereBasisKonfiguration(C_REG_ADR);
  //speichereBasisKonfiguration;
end; (* schreibe konfig *)




end.
