
import tkinter

class MyApp(tkinter.Frame):

  def __init__(self, master=None):
    tkinter.Frame.__init__(self, master)
    self.pack()
    self.setGUI()

  def setGUI(self):    
    self.inputui = tkinter.Entry(self)
    self.inputui.pack(padx="10",pady="10")

    self.var_name = tkinter.StringVar()
    self.var_name.set("Ihr Name...")
    self.inputui["textvariable"] = self.var_name

    self.bnOk = tkinter.Button(self)
    self.bnOk["text"] = "Ok"
    self.bnOk["command"] = self.quit
    self.bnOk.pack(padx="10",pady="10", side="right")

    self.bnRev = tkinter.Button(self)
    self.bnRev["text"] = "Umdrehen"
    self.bnRev["command"] = self.onReverse
    self.bnRev.pack(padx="10",pady="10", side="right")

  def onReverse(self):
    self.var_name.set( self.var_name.get()[::-1] )



root = tkinter.Tk()
root.title("Mein Fenster")
root.geometry("200x100")
app = MyApp(root)
app.mainloop()