import tkinter

class MyApp(tkinter.Frame):
	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.pack()
		self.createWidgets()
		self.createBindings()
        
	def createWidgets(self):
		self.label1 = tkinter.Label(self)
		self.label1.pack()
		self.label1["text"] = "Bitte in das Textfeld klicken oder am Rad drehen"
       
		self.entry1 = tkinter.Entry(self)
		self.entry1.pack(fill="x")

		self.label2 = tkinter.Label(self)
		self.label2.pack()
		self.label2["text"] = "Bitte in das Textfeld klicken oder am Rad drehen"
       
		self.entry2 = tkinter.Entry(self)
		self.entry2.pack()
        
		self.label3 = tkinter.Label(self)
		self.label3.pack()
		self.label3["text"] = "Meldungen"

		self.label4 = tkinter.Label(self)
		self.label4.pack()
		self.label4["text"] = "Meldungen"

		self.ok = tkinter.Button(self)
		self.ok.pack()
		self.ok["text"] = "Beenden"
		self.ok["command"] = self.quit
        
	def createBindings(self):
		self.entry1.bind("42", self.event42)
		self.entry1.bind("<ButtonPress-1>", self.eventMouseClick)
		self.entry2.bind("<ButtonPress-1>", self.eventMouseClick)
		self.entry1.bind("<MouseWheel>", self.eventMouseWheel)
		self.entry1.bind("<Enter>", self.eventEnterE1)
		self.entry1.bind("<Leave>", self.eventLeaveE1)
		self.entry2.bind("<Enter>", self.eventEnterE2)
		self.entry2.bind("<Leave>", self.eventLeaveE2)

	def event42(self, event):
		self.label1["text"] = "Sie kennen das geheime Passwort!"

	def eventMouseClick(self, event):
		if event.widget == self.entry1:
			self.label1["text"] = "E1: Mausklick an Position ({},{})".format(event.x, event.y)
		else:
			self.label1["text"] = "E2: Mausklick an Position ({},{})".format(event.x, event.y)

	def eventMouseWheel(self, event):
		self.label["text"] = "Mausrad ({})".format(event.delta)

	def eventEnterE1(self, event):
		self.label3["text"] = "Entry 1 hat Foucs"

	def eventLeaveE1(self, event):
		self.label3["text"] = "Entry 1 hat keinen Foucs"

	def eventEnterE2(self, event):
		self.label4["text"] = "Entry 1 hat Foucs"

	def eventLeaveE2(self, event):
		self.label4["text"] = "Entry 1 hat keinen Foucs"



root = tkinter.Tk()
root.title("Mouse Events 2")
root.geometry("300x120")
app = MyApp(root)
app.mainloop()