unit MDIDEdit;  (* Oro *)

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Menus, Buttons, ExtCtrls, ComCtrls, Spin;

const BackupExt = '.BAK';

type
  TFMDIDEdit = class(TForm)
    MainMenu1: TMainMenu;
    SaveDialog1: TSaveDialog;
    FontDialog1: TFontDialog;
    PrintDialog1: TPrintDialog;
    mainEdit: TMenuItem;
    mnSave: TMenuItem;
    mnSaveAs: TMenuItem;
    mnCut: TMenuItem;
    mnCopy: TMenuItem;
    mnPaste: TMenuItem;
    mnDelete: TMenuItem;
    N2: TMenuItem;
    mnSelectAll: TMenuItem;
    PrinterSetupDialog1: TPrinterSetupDialog;
    mainFile: TMenuItem;
    MnNeu: TMenuItem;
    MnOeffnen: TMenuItem;
    N4: TMenuItem;
    mnCMD: TMenuItem;
    N6: TMenuItem;
    mnExit: TMenuItem;
    N8: TMenuItem;
    mnInsertFile: TMenuItem;
    N1: TMenuItem;
    mnDeleteRow: TMenuItem;
    mnSelections2Left: TMenuItem;
    mnSelections2Right: TMenuItem;
    mainSearch: TMenuItem;
    mnSearch: TMenuItem;
    mnSearchAgain: TMenuItem;
    mnSearchAndReplace: TMenuItem;
    FindDialog1: TFindDialog;
    ReplaceDialog1: TReplaceDialog;
    OpenDialog1: TOpenDialog;
    mnConvertFromDOS2Windows: TMenuItem;
    mnConvertFromWindows2Dos: TMenuItem;
    N3: TMenuItem;
    mnDeleteRowFromCursor: TMenuItem;
    mnUndo: TMenuItem;
    N5: TMenuItem;
    mnGoto: TMenuItem;
    N14: TMenuItem;
    Timer1: TTimer;
    mnSaveAll: TMenuItem;
    mnSaveSelection2File: TMenuItem;
    SpaltenEdit: TRichEdit;
    N10: TMenuItem;
    mnIncrementielleSearch: TMenuItem;
    StatusBar1: TStatusBar;
    mnCloseAll: TMenuItem;
    MnUpdate: TMenuItem;
    PopupMenu1: TPopupMenu;
    LkRueckgaengig: TMenuItem;
    N31: TMenuItem;
    LkBlockAusschneiden: TMenuItem;
    LkBlockKopieren: TMenuItem;
    LkBlockLoeschen: TMenuItem;
    LkBlockEinfuegen: TMenuItem;
    N33: TMenuItem;
    LkGeheZu: TMenuItem;
    N34: TMenuItem;
    LkAllesmarkieren: TMenuItem;
    N26: TMenuItem;
    LkSuchen: TMenuItem;
    LkWeitersuchen: TMenuItem;
    LkSuchenErsetzen: TMenuItem;
    N37: TMenuItem;
    LkIncrementielleSuche: TMenuItem;
    mainStart: TMenuItem;
    mnPythonDirekt: TMenuItem;
    mnPythonWithDosBox: TMenuItem;
    mnCalc: TMenuItem;
    mnExplorer: TMenuItem;
    mnNotepad: TMenuItem;
    mainPythonHelp: TMenuItem;
    N12: TMenuItem;
    PopupMenu2: TPopupMenu;
    EinfgenneuerDatei1: TMenuItem;
    EinfgenbestehenderDatei1: TMenuItem;
    LschenderaktuellenDatei1: TMenuItem;
    N16: TMenuItem;
    PanelCenter: TPanel;
    mainLanguage: TMenuItem;
    mainFunction: TMenuItem;
    mainListDictSet: TMenuItem;
    N7: TMenuItem;
    mainException: TMenuItem;
    mainClass: TMenuItem;
    N9: TMenuItem;
    mainInput: TMenuItem;
    mainOS: TMenuItem;
    N11: TMenuItem;
    mainUI: TMenuItem;
    mainUIEvents: TMenuItem;
    mainDialog: TMenuItem;
    mnIf: TMenuItem;
    mnFunctionVoid: TMenuItem;
    mnList1: TMenuItem;
    mnExceptionCast: TMenuItem;
    mnSimpleClass: TMenuItem;
    mnInputString: TMenuItem;
    mnargv1: TMenuItem;
    mnUIFramework: TMenuItem;
    mnUIStringVar: TMenuItem;
    mnUIMsgOkCancel: TMenuItem;
    mnIfElse: TMenuItem;
    Ifelifelse1: TMenuItem;
    N15: TMenuItem;
    mnWhile: TMenuItem;
    mnForEach: TMenuItem;
    mnForRange: TMenuItem;
    N17: TMenuItem;
    mnInt2String: TMenuItem;
    mnDouble2String: TMenuItem;
    mnFunctionInt: TMenuItem;
    mnFunktionTuple: TMenuItem;
    mnDict1: TMenuItem;
    mnSet1: TMenuItem;
    mnSimpleClassSetGetter: TMenuItem;
    mnSimple2Class: TMenuItem;
    mnInputInt: TMenuItem;
    mnInputFloat: TMenuItem;
    mnExceptionFull: TMenuItem;
    mnUIFrame: TMenuItem;
    mnUILabel: TMenuItem;
    mnUIEntry: TMenuItem;
    mnUISpinbox: TMenuItem;
    mnUIButton: TMenuItem;
    N18: TMenuItem;
    mnUIRadiobutton: TMenuItem;
    mnUICheckbutton: TMenuItem;
    mnUIListbox: TMenuItem;
    mnUIText: TMenuItem;
    mnUIIntVar: TMenuItem;
    mnUIDoubleVar: TMenuItem;
    N19: TMenuItem;
    mnUIBooleanVar: TMenuItem;
    mnUIListBoxInsert: TMenuItem;
    mnUIListBoxAdd: TMenuItem;
    mnUIListBoxSelect: TMenuItem;
    mnUIListBoxGet: TMenuItem;
    mnUIListBoxDelete: TMenuItem;
    N20: TMenuItem;
    mnUITextInsert: TMenuItem;
    mnUITextDelete: TMenuItem;
    mnUIMsgYesNo: TMenuItem;
    mnUIMsgYesNoCancel: TMenuItem;
    mnUIMsgRetryCancel: TMenuItem;
    N21: TMenuItem;
    mnUIAskString: TMenuItem;
    mnUIAskInt: TMenuItem;
    mnUIAskFloat: TMenuItem;
    N22: TMenuItem;
    mnUIOpenDialog: TMenuItem;
    mnUISaveDialog: TMenuItem;
    Memo2: TMemo;
    N23: TMenuItem;
    Memo1A: TMemo;
    N13: TMenuItem;
    N24: TMenuItem;
    mnLabelframe: TMenuItem;
    mnScrollbarVertical: TMenuItem;
    mnScrollbarHorizontal: TMenuItem;
    N25: TMenuItem;
    mnShowType: TMenuItem;
    mnString2Int: TMenuItem;
    N27: TMenuItem;
    mnString2Float: TMenuItem;
    mainPythonFunctions: TMenuItem;
    mnAbs: TMenuItem;
    mnFabs: TMenuItem;
    mnMin: TMenuItem;
    mnMax: TMenuItem;
    mnExp: TMenuItem;
    mnLog10: TMenuItem;
    mnLogxbase: TMenuItem;
    mnLn: TMenuItem;
    mnSqrt: TMenuItem;
    mnFloor: TMenuItem;
    mnTrunc: TMenuItem;
    mnRound: TMenuItem;
    N28: TMenuItem;
    N29: TMenuItem;
    MnImportos: TMenuItem;
    MnImportOsPath: TMenuItem;
    mnGetCWD: TMenuItem;
    mnListdir: TMenuItem;
    mnIsdir: TMenuItem;
    mnIsfile: TMenuItem;
    UIConfig1: TMenuItem;
    mnUIForeground: TMenuItem;
    mnUIBackground: TMenuItem;
    N30: TMenuItem;
    mnAnchor: TMenuItem;
    mnJustify: TMenuItem;
    procedure MyMessage(var Msg:TMsg; var Handled:boolean);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure mnSelectAllClick(Sender: TObject);
    procedure mnCopyClick(Sender: TObject);
    procedure mnPasteClick(Sender: TObject);
    procedure mnCutClick(Sender: TObject);
    procedure mnDeleteClick(Sender: TObject);
    procedure UpdateMenus;
    procedure Open(const AFilename: string);
    procedure mnSaveAsClick(Sender: TObject);
    procedure MnSaveClick(Sender: TObject);
    procedure MnDruckenClick(Sender: TObject);
    procedure AddZeile(szZeile:string);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure MnDruckerSetupClick(Sender: TObject);
    procedure mnInsertFileClick(Sender: TObject);
    procedure mnDeleteRowClick(Sender: TObject);
    procedure mnSelections2LeftClick(Sender: TObject);
    procedure mnSelections2RightClick(Sender: TObject);
    procedure mnSearchClick(Sender: TObject);
    procedure mnSearchAgainClick(Sender: TObject);
    procedure mnSearchAndReplaceClick(Sender: TObject);
    procedure ReplaceDialog1Find(Sender: TObject);
    procedure ReplaceDialog1Replace(Sender: TObject);
    procedure FindDialog1Find(Sender: TObject);
    procedure setzeOpenFilter;
    procedure FormCreate(Sender: TObject);
    procedure MnOeffnenClick(Sender: TObject);
    procedure MnNeuClick(Sender: TObject);
    procedure mnCMDClick(Sender: TObject);
    procedure mnConvertFromDOS2WindowsClick(Sender: TObject);
    procedure mnConvertFromWindows2DosClick(Sender: TObject);
    procedure mnUndoClick(Sender: TObject);
    procedure mnDeleteRowFromCursorClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure mnGotoClick(Sender: TObject);
    procedure mnSaveAllClick(Sender: TObject);
    procedure mnSaveSelection2FileClick(Sender: TObject);
    procedure mnIncrementielleSearchClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;  Shift: TShiftState);
    procedure mnCloseAllClick(Sender: TObject);
    procedure FindDialog1Close(Sender: TObject);
    procedure MnUpdateClick(Sender: TObject);
    procedure Memo1AMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure Memo1AKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure LkRueckgaengigClick(Sender: TObject);
    procedure LkBlockAusschneidenClick(Sender: TObject);
    procedure LkBlockKopierenClick(Sender: TObject);
    procedure LkBlockLoeschenClick(Sender: TObject);
    procedure LkBlockEinfuegenClick(Sender: TObject);
    procedure LkGeheZuClick(Sender: TObject);
    procedure LkAllesmarkierenClick(Sender: TObject);
    procedure LkSuchenClick(Sender: TObject);
    procedure LkWeitersuchenClick(Sender: TObject);
    procedure LkSuchenErsetzenClick(Sender: TObject);
    procedure LkIncrementielleSucheClick(Sender: TObject);
    procedure MnAktuellerInhaltspeichernClick(Sender: TObject);
    procedure mnPythonDirektClick(Sender: TObject);
    procedure mnPythonWithDosBoxClick(Sender: TObject);
    procedure mnCalcClick(Sender: TObject);
    procedure mnExplorerClick(Sender: TObject);
    procedure mnNotepadClick(Sender: TObject);
    procedure mnIfClick(Sender: TObject);
    procedure mnIfElseClick(Sender: TObject);
    procedure Ifelifelse1Click(Sender: TObject);
    procedure mnWhileClick(Sender: TObject);
    procedure mnForEachClick(Sender: TObject);
    procedure mnForRangeClick(Sender: TObject);
    procedure mnInt2StringClick(Sender: TObject);
    procedure mnDouble2StringClick(Sender: TObject);
    procedure mnFunctionVoidClick(Sender: TObject);
    procedure mnFunctionIntClick(Sender: TObject);
    procedure mnFunktionTupleClick(Sender: TObject);
    procedure mnList1Click(Sender: TObject);
    procedure mnDict1Click(Sender: TObject);
    procedure mnSet1Click(Sender: TObject);
    procedure mnExceptionCastClick(Sender: TObject);
    procedure mnExceptionFullClick(Sender: TObject);
    procedure mnSimpleClassClick(Sender: TObject);
    procedure mnSimpleClassSetGetterClick(Sender: TObject);
    procedure mnSimple2ClassClick(Sender: TObject);
    procedure mnInputStringClick(Sender: TObject);
    procedure mnInputIntClick(Sender: TObject);
    procedure mnInputFloatClick(Sender: TObject);
    procedure mnargv1Click(Sender: TObject);
    procedure mnUIFrameworkClick(Sender: TObject);
    procedure mnUIFrameClick(Sender: TObject);
    procedure mnUILabelClick(Sender: TObject);
    procedure mnUIEntryClick(Sender: TObject);
    procedure mnUISpinboxClick(Sender: TObject);
    procedure mnUIButtonClick(Sender: TObject);
    procedure mnUIRadiobuttonClick(Sender: TObject);
    procedure mnUICheckbuttonClick(Sender: TObject);
    procedure mnUIListboxClick(Sender: TObject);
    procedure mnUITextClick(Sender: TObject);
    procedure mnUIStringVarClick(Sender: TObject);
    procedure mnUIIntVarClick(Sender: TObject);
    procedure mnUIDoubleVarClick(Sender: TObject);
    procedure mnUIBooleanVarClick(Sender: TObject);
    procedure mnUIListBoxInsertClick(Sender: TObject);
    procedure mnUIListBoxAddClick(Sender: TObject);
    procedure mnUIListBoxSelectClick(Sender: TObject);
    procedure mnUIListBoxGetClick(Sender: TObject);
    procedure mnUIListBoxDeleteClick(Sender: TObject);
    procedure mnUITextInsertClick(Sender: TObject);
    procedure mnUIMsgOkCancelClick(Sender: TObject);
    procedure mnUIMsgYesNoClick(Sender: TObject);
    procedure mnUIMsgYesNoCancelClick(Sender: TObject);
    procedure mnUIMsgRetryCancelClick(Sender: TObject);
    procedure mnUIAskStringClick(Sender: TObject);
    procedure mnUIAskIntClick(Sender: TObject);
    procedure mnUIAskFloatClick(Sender: TObject);
    procedure mnUIOpenDialogClick(Sender: TObject);
    procedure mnUISaveDialogClick(Sender: TObject);
    procedure mnUITextDeleteClick(Sender: TObject);
    procedure mnLabelframeClick(Sender: TObject);
    procedure mnScrollbarVerticalClick(Sender: TObject);
    procedure mnScrollbarHorizontalClick(Sender: TObject);
    procedure mnString2IntClick(Sender: TObject);
    procedure mnString2FloatClick(Sender: TObject);
    procedure mnShowTypeClick(Sender: TObject);
    procedure mnAbsClick(Sender: TObject);
    procedure mnFabsClick(Sender: TObject);
    procedure mnMinClick(Sender: TObject);
    procedure mnMaxClick(Sender: TObject);
    procedure mnExpClick(Sender: TObject);
    procedure mnLog10Click(Sender: TObject);
    procedure mnLogxbaseClick(Sender: TObject);
    procedure mnLnClick(Sender: TObject);
    procedure mnSqrtClick(Sender: TObject);
    procedure mnFloorClick(Sender: TObject);
    procedure mnTruncClick(Sender: TObject);
    procedure mnRoundClick(Sender: TObject);
    procedure MnImportosClick(Sender: TObject);
    procedure MnImportOsPathClick(Sender: TObject);
    procedure mnGetCWDClick(Sender: TObject);
    procedure mnListdirClick(Sender: TObject);
    procedure mnIsdirClick(Sender: TObject);
    procedure mnIsfileClick(Sender: TObject);
    procedure mnUIForegroundClick(Sender: TObject);
    procedure mnUIBackgroundClick(Sender: TObject);
    procedure mnAnchorClick(Sender: TObject);
    procedure mnJustifyClick(Sender: TObject);
  protected
//    procedure WMKeydown(var Message:TMessage); message WM_KEYDOWN;
  private
    { Private-Deklarationen }
    _Filename, _Path, _Name, _Ext:string;

    _IncSucheUp, _IncSuche:boolean;
    _Startpos:integer;
    _SearchString:string;
    _Startposition:array[1..500] of integer;
    _NumberOfStartposition:integer;

    _LastFilename:string;

    _NumberofChars:longint;  // Suchen Position  und fr Timer
    _Start:longint;

   procedure Search(szSuchtext:string; GrossKleinUnterscheidung, SucheNachUnten:boolean);
   function  SearchAndReplace(szSuchtext, szErsetzText:string; GrossKleinUnterscheidung, SucheNachUnten:boolean):boolean;
   procedure StartDosOhne(szCommand, szParameter:string);
   procedure insertText(text:string);

  public
    { Public-Deklarationen }
    UNummer:integer;
    procedure Init(filename:string);
    function  getFileName:string;
    function getPath():string;
    procedure setFontsize(fontsize:integer);
    procedure setTabwidth(pixelwidth:integer);
  end;

var  FMDIDEdit: TFMDIDEdit;

implementation


{$R *.DFM}

uses PythonIDE_var,
     PythonIDE_bas,
     Main,
     IncSuche,
     Clipbrd,
     StrUtils;


procedure TFMDIDEdit.FormCreate(Sender: TObject);
begin
  PanelCenter.Align := alClient;
  // Application.OnMessage := MyMessage;
end;
     
procedure TFMDIDEdit.Init(filename:string);
var sExt:string;
begin
  Caption := filename;

  sExt:= Uppercase(ExtractFileExt(filename));

  MnSave.Enabled:=true;
  MnSaveAll.Enabled:=true;

  _Filename := filename;
  fsplit(filename, _Path, _Name, _Ext);

  Memo1A.Align := alClient;

  if FileExists(filename) then
  begin
    Open(filename);
  end
  else
  begin
    Memo1A.Clear;
    _Filename := C_Untitled;
    //if G_CaptionMitVollemNamen
    Caption := _Filename;
    //else Caption := szUName+szUExt;  //  maintab
    Memo1A.lines.add('#! /usr/bin/env python3');
    Memo1A.lines.add('');
    Memo1A.lines.add('# coding=utf8');
    Memo1A.lines.add('');
  end;

  Memo1A.Modified:=false;

  show;
  setTabwidth(PythonIDE_var.G_TabWidth);
end;

procedure TFMDIDEdit.setFontsize(fontsize:integer);
begin
  Memo1A.Font.Size := fontsize;
end;




procedure TFMDIDEdit.setTabwidth(pixelwidth:integer);
var tabs: Array [0..0] of Integer;
begin
  tabs[0] := pixelwidth;
  Memo1A.Perform( EM_SETTABSTOPS, 1, LongInt(@tabs));
  Memo1A.Refresh;
end;


function TFMDIDEdit.getFileName:string;
begin
  result := _Filename;
end;

procedure TFMDIDEdit.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TFMDIDEdit.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
var DialogValue: Integer;
    FName: string;
begin
  CanClose:=true;
  if (Memo1A.Modified)  then
  begin
    FName := _Filename;
    if FName = C_Untitled
    then DialogValue := MessageDlg( SWarningTextNoname, mtConfirmation,
                           [mbYes, mbNo, mbCancel], 0)

    else DialogValue := MessageDlg(Format(SWarningText, [FName]), mtConfirmation,
      [mbYes, mbNo, mbCancel], 0);

    case DialogValue of
      id_Yes: if FName = C_Untitled
              then MnSaveAllClick(Sender)
              else MnSaveClick(Sender);
      id_Cancel: CanClose := False;
    end;
  end;
end;



procedure TFMDIDEdit.mnSelectAllClick(Sender: TObject);
begin
  Memo1A.SelectAll;
end;

procedure TFMDIDEdit.mnCopyClick(Sender: TObject);
begin
  Memo1A.CopyToClipboard;
end;

procedure TFMDIDEdit.mnPasteClick(Sender: TObject);
begin
  Memo1A.PasteFromClipboard;
  Memo1A.Modified:=true;
end;

procedure TFMDIDEdit.mnCutClick(Sender: TObject);
begin
  Memo1A.CutToClipboard;
  Memo1A.Modified:=true;
end;

procedure TFMDIDEdit.mnDeleteClick(Sender: TObject);
begin
  Memo1A.ClearSelection;
  Memo1A.Modified:=true;
end;

procedure TFMDIDEdit.UpdateMenus;
var HasSelection: Boolean;
begin
  mnPaste.Enabled := Clipboard.HasFormat(CF_TEXT); (* Paste *)
  (* Paste2.Enabled := Clipboard.HasFormat(CF_TEXT); *)
  HasSelection := Memo1A.SelLength <> 0;
  mnCut.Enabled := HasSelection;
  mnCopy.Enabled := HasSelection;
  mnDelete.Enabled := HasSelection;
  mnSaveAs.enabled := HasSelection;

end;


procedure TFMDIDEdit.Open(const AFilename: string);
begin
  Memo1A.Lines.LoadFromFile(AFilename);
  Memo1A.SelStart := 0;
  Memo1A.Modified := False;
  FMain.StatusBar1.Panels.Items[1].Text  := '';
end;



procedure TFMDIDEdit.mnSaveAsClick(Sender: TObject);
begin
  SaveDialog1.Title := 'Datei speichern unter';
  SaveDialog1.Filename := _Filename;
  SaveDialog1.DefaultExt := 'py';
  SaveDialog1.Filter := 'Python-Dateien (*.py)|Alle Dateien (*.*)|*.*';;
  SaveDialog1.Options :=  [ofOverwritePrompt, ofHideReadOnly, ofPathMustExist,ofShowHelp];
  SaveDialog1.InitialDir := G_EditorPath;
  if SaveDialog1.Execute then
  begin
    _Filename := SaveDialog1.Filename;
    fsplit(_Filename, _Path, _Name, _Ext);
    Caption := ExtractFileName(_Filename);
    MnSaveClick(Sender);
  end;
end;

procedure TFMDIDEdit.MnSaveClick(Sender: TObject);
begin
  if (_Filename = '') or (_Filename = C_Untitled)  then
  begin
    show;
    MnSaveAsClick(Sender);
  end
  else
  begin
    Memo1A.Lines.SaveToFile(_Filename);
    Memo1A.Modified := False;
    Fmain.StatusBar1.Panels.Items[1].Text  := '';
  end;
end; (* speichern   mit Backup *)

procedure TFMDIDEdit.MnDruckenClick(Sender: TObject);
begin
//  DruckenMemo(szUDatei, Memo1, FMain.MainMemo, true);
end;

procedure TFMDIDEdit.AddZeile(szZeile:string);
begin
  Memo1A.Lines.Add(szZeile);
end;







procedure TFMDIDEdit.MnDruckerSetupClick(Sender: TObject);
begin
  PrinterSetupDialog1.Execute;
end;


procedure TFMDIDEdit.setzeOpenFilter;
begin
  OpenDialog1.FileName:='*.txt';
  OpenDialog1.Filter:='Text-Dateien *.TXT|*.TXT|Alle Dateien (*.*)|*.*';
  OpenDialog1.InitialDir := G_EditorPath;
end;

procedure TFMDIDEdit.mnInsertFileClick(Sender: TObject);
begin
  OpenDialog1.Title := 'Datei in das aktuelle Fenster einfgen';
  setzeOpenFilter;
  OpenDialog1.Options :=  [ofEnableSizing, ofPathMustExist,ofShowHelp];
  if OpenDialog1.Execute then
  begin
    FMain.MainMemo.Lines.loadfromfile(OpenDialog1.FileName);
    FMain.MainMemo.SelectAll;
    FMain.MainMemo.CopyToClipboard;

    Memo1A.PasteFromClipboard;
    FMain.StatusBar1.Panels.Items[1].Text  := 'gendert';
    Memo1A.Modified:=true;
  end;
end;

procedure TFMDIDEdit.mnDeleteRowClick(Sender: TObject);
var Anfang:longint;
begin
  Anfang := SendMessage(Memo1A.Handle, EM_LINEFROMCHAR, Memo1A.Selstart,0); //+1;
  Memo1A.Lines.Delete(Anfang);
end;

procedure TFMDIDEdit.mnSelections2LeftClick(Sender: TObject);
var  Sel1, Sel2, Anfang, i, Ende:longint;
     szZ:string;
begin
  Sel1 := Memo1A.Selstart;
  Sel2 := Memo1A.SelLength;
  Anfang := SendMessage(Memo1A.Handle, EM_LINEFROMCHAR, Memo1A.Selstart,0);
  Ende := SendMessage(Memo1A.Handle, EM_LINEFROMCHAR, Memo1A.Selstart+Memo1A.SelLength,0);
  for i:= Anfang to Ende do
  begin
    szZ := Memo1A.Lines[i];
    if copy(szZ,1,1) = ' ' then Memo1A.Lines[i] := copy( szZ,2,length(szZ) );
    dec(Sel2,1);
  end;
  Memo1A.Selstart := Sel1;
  Memo1A.SelLength := Sel2;
end;

procedure TFMDIDEdit.mnSelections2RightClick(Sender: TObject);
var  Sel1, Sel2, Anfang, i, Ende:longint;
begin
  Memo1A.visible := false;
  Sel1 := Memo1A.Selstart;
  Sel2 := Memo1A.SelLength;
  Anfang := SendMessage(Memo1A.Handle, EM_LINEFROMCHAR, Memo1A.Selstart,0);
  Ende := SendMessage(Memo1A.Handle, EM_LINEFROMCHAR, Memo1A.Selstart+Memo1A.SelLength,0);
  for i:= Anfang to Ende do
  begin
    Memo1A.Lines[i] := ' '+Memo1A.Lines[i];
    inc(Sel2,1);
  end;
  Memo1A.Selstart := Sel1;
  Memo1A.SelLength := Sel2;
  Memo1A.visible := true;
end;






procedure TFMDIDEdit.mnSearchAgainClick(Sender: TObject);
begin
  FindDialog1Find(FindDialog1);
end;

procedure TFMDIDEdit.mnSearchAndReplaceClick(Sender: TObject);
begin
  ReplaceDialog1.Execute;
end;

procedure TFMDIDEdit.FindDialog1Close(Sender: TObject);
begin
//   Memo1.Update;
end;

{$define t2}
{$ifdef t2}

procedure TFMDIDEdit.mnSearchClick(Sender: TObject);
var szZ:string;
    n, i:integer;
begin
     // suchen der aktuellen Position und bestimmen des aktuellen Wortes
  if G_SucheAmAktuellenCursor then
  begin
    szZ := '';
    for i:=Memo1A.Selstart+1 to length(Memo1A.Text)-1 do
    begin
      n := ord(Memo1A.text[i]);
      if n IN [9,10,13, 32..47]
      then break
      else szZ := szZ + Memo1A.text[i];
    end;
    if length(szZ) > 0 then
    begin
      FindDialog1.FindText := szZ;
    end;
  end;
  // FindDialog1.Position := Point(Memo1.Left, Memo1.Top);
  if FindDialog1.Execute then  mnSearchAgain.Enabled := True;
end;


procedure TFMDIDEdit.FindDialog1Find(Sender: TObject);
//var  //FoundAt: LongInt;
     //StartPos, ToEnd: integer;
var GrossKleinUnterscheidung, SucheNachUnten:boolean;
    szSuchtext:string;
begin
  with FindDialog1 do
  begin
    GrossKleinUnterscheidung := frMatchCase in Options;
    SucheNachUnten := frDown in Options;
    szSuchtext := FindText;
  end;
  FindDialog1.CloseDialog;
  Search(szSuchtext, GrossKleinUnterscheidung, SucheNachUnten);
end;


{$else}

procedure TFMDIDEdit.mnSearchClick(Sender: TObject);
var szZ:string;
    n, i:integer;
begin
     // suchen der aktuellen Position und bestimmen des aktuellen Wortes
  if G_SucheAmAktuellenCursor then
  begin
    szZ := '';
    for i:=Memo1.Selstart+1 to length(Memo1.Text)-1 do
    begin
      n := ord(Memo1.text[i]);
      if n IN [9,10,13, 32..47]
      then break
      else szZ := szZ + Memo1.text[i];
    end;
    if length(szZ) > 0 then
    begin
      FindDialog1.FindText := szZ;
    end;
  end;
  // FindDialog1.Position := Point(Memo1.Left, Memo1.Top);
  if FindDialog1.Execute then  MnWeitersuchen.Enabled := True;
end;


// TRichtextedit  hat Findtext
// TMemo nicht
procedure TFMDIDEdit.FindDialog1Find(Sender: TObject);
var FoundAt: LongInt;
    StartPos, ToEnd: Integer;
    s:string;
begin
(*
  begin
    { Suchbeginn nach der aktuellen Markierung (falls vorhanden), }
    { andernfalls am Textanfang starten }

    if Memo1.SelLength <> 0
    then StartPos := Memo1.SelStart + Memo1.SelLength
    else StartPos := Memo1.SelStart;  // 0

    { ToEnd ist die Lnge von StartPos bis zum Ende des Textes im RTF-Eingabefeld }

    ToEnd := Length(Text) - StartPos;


    //TFindOption = (frDown, frFindNext, frHideMatchCase, frHideWholeWord, frHideUpDown, frMatchCase, frDisableMatchCase, frDisableUpDown, frDisableWholeWord, frReplace, frReplaceAll, frWholeWord, frShowHelp);
    if frMatchCase in FindDialog1.Options
    then  FoundAt := Memo1.FindText(FindDialog1.FindText, StartPos, ToEnd, [stMatchCase])
    else  FoundAt := Memo1.FindText(FindDialog1.FindText, StartPos, ToEnd, []);

    if FoundAt <> -1 then
    begin
      FindDialog1.CloseDialog;
      Memo1.SetFocus;
      Memo1.SelStart := FoundAt;
      Memo1.SelLength := Length(FindDialog1.FindText);
      Memo1.setfocus;

      PostMessage( Memo1.Handle, WM_KEYDOWN, VK_LEFT, 0 );  // 10
      PostMessage( Memo1.Handle, WM_KEYDOWN, VK_RIGHT, 0 );  // 10

      Timer1.Enabled:=true;  // gefundene Wort selektieren
    end;
  end;
*)  
end;
{$endif}

(*
var GrossKleinUnterscheidung, SucheNachUnten:boolean;
    szSuchtext:string;
begin
 with FindDialog1 do
  begin
    GrossKleinUnterscheidung := frMatchCase in Options;
    SucheNachUnten := frDown in Options;
    szSuchtext := FindText;
  end;
  FindDialog1.CloseDialog;
  Suchen(szSuchtext, GrossKleinUnterscheidung, SucheNachUnten);
end;
*)


procedure TFMDIDEdit.Search(szSuchtext:string; GrossKleinUnterscheidung, SucheNachUnten:boolean);
var  K1, K, N, I: Integer;
     C:Char;
     CharMap: array [Char] of Char;
var Buffer: PChar;
    Size: integer;
begin
  if GrossKleinUnterscheidung
  then szSuchtext:=szSuchtext
  else szSuchtext:=AnsiUppercase(szSuchtext);
  n := length(szSuchtext);
  { Using a Char map array is faster than calling AnsiUpper on every character }
  for C := Low(CharMap) to High(CharMap) do
    CharMap[C] := C;

  if not GrossKleinUnterscheidung then
  begin
    AnsiUpperBuff(PChar(@CharMap), sizeof(CharMap));
    (* AnsiUpperBuff(@SearchString[1], Length(SearchString)); *)
  end;


  Size := Memo1A.GetTextLen;      { Lnge des Strings in Edit1 holen }
  Inc(Size);                     { Platz fr Nullzeichen schaffen }
  GetMem(Buffer, Size);          { dynamische Puffervariable erzeugen }
  Memo1A.GetTextBuf(Buffer,Size); { Edit1.Text in den Puffer setzen }

  k1 := Memo1A.SelStart;
  if k1 < 0 then k1 := 0;
  if SucheNachUnten then
  begin
    For I := k1+1 to Size-1 do
    begin
      K := 0;
      while (CharMap[Buffer[i+k]] = szSuchtext[k+1]) do
      begin
        Inc(k);
        if k >= n then
        begin
          // FreeMem(Buffer, Size);         { fr den Puffer reservierten Speicher freigeben }
          Memo1A.SetFocus;
          memo1A.SelStart := i;

          Memo1A.SelLength := n;
          Exit;
        end;
      end;
    end; (* for Zeilen *)
  end
  else
  begin
    For I := k1-1 downto 0 do
    begin
      K := 0;
      while (CharMap[Buffer[i+k]] = szSuchtext[k+1]) do
      begin
        Inc(k);
        if k >= n then
        begin
          FreeMem(Buffer, Size);         { fr den Puffer reservierten Speicher freigeben }
          Memo1A.SetFocus;
          Memo1A.SelStart := i;

          Memo1A.SelLength := n;
          Exit;
        end;
      end;
    end; (* for Zeilen *)
  end;

  FreeMem(Buffer, Size);         { fr den Puffer reservierten Speicher freigeben }
  Msgbox('Suchen','Der Suchstring'+NL+  szSuchtext+NL+'konnte nicht gefunden werden');
end;


procedure TFMDIDEdit.ReplaceDialog1Find(Sender: TObject);
var GrossKleinUnterscheidung, SucheNachUnten:boolean;
    szErsetzText, szSuchtext:string;
begin(*   monochrome  *)
   (* wird aufgerufen, wenn  im suchen/ersetze "suchen"  angeklickt wird *)
 with ReplaceDialog1 do                 (* wird nicht aufgerufen *)
  begin
    GrossKleinUnterscheidung := frMatchCase in Options;
    SucheNachUnten := frDown in Options;
    szSuchtext := FindText;
    szErsetzText := ReplaceText;
  end;
  (*
  ReplaceDialog1.CloseDialog;
  *)
  SearchAndReplace(szSuchtext, szErsetzText, GrossKleinUnterscheidung, SucheNachUnten);
end;

procedure TFMDIDEdit.ReplaceDialog1Replace(Sender: TObject);
var  Found: Boolean;
var GrossKleinUnterscheidung, SucheNachUnten:boolean;
    szErsetzText, szSuchtext:string;
begin
  with ReplaceDialog1 do
  begin
    GrossKleinUnterscheidung := frMatchCase in Options;
    SucheNachUnten := frDown in Options;
    szSuchtext := FindText;
    szErsetzText := ReplaceText;
    if AnsiCompareText(Memo1A.SelText, FindText) = 0 then
      Memo1A.SelText := ReplaceText;
    Found := SearchAndReplace(szSuchtext, szErsetzText, GrossKleinUnterscheidung, SucheNachUnten);
    while Found and (frReplaceAll in Options) do
    begin
      Memo1A.SelText := ReplaceText;
      Found := SearchAndReplace(szSuchtext, szErsetzText, GrossKleinUnterscheidung, SucheNachUnten);
    end;
    if (not Found) and (frReplace in Options) then
      Msgbox('Suchen/Ersetzen','Der Suchstring'+NL+ szSuchtext+NL+'konnte nicht gefunden werden');
  end;
end;


function TFMDIDEdit.SearchAndReplace(szSuchtext, szErsetzText:string; GrossKleinUnterscheidung, SucheNachUnten:boolean):boolean;
var  K1, K, N, I: Integer;
     C:Char;
     CharMap: array [Char] of Char;
var Buffer: PChar;
    Size: integer;
begin
  SearchAndReplace := false;
  if GrossKleinUnterscheidung
  then szSuchtext:=szSuchtext
  else szSuchtext:=AnsiUppercase(szSuchtext);
  n := length(szSuchtext);
  { Using a Char map array is faster than calling AnsiUpper on every character }
  for C := Low(CharMap) to High(CharMap) do
    CharMap[C] := C;

  if not GrossKleinUnterscheidung then
  begin
    AnsiUpperBuff(PChar(@CharMap), sizeof(CharMap));
    (* AnsiUpperBuff(@SearchString[1], Length(SearchString)); *)
  end;


  Size := Memo1A.GetTextLen;      { Lnge des Strings in Edit1 holen }
  Inc(Size);                     { Platz fr Nullzeichen schaffen }
  GetMem(Buffer, Size);          { dynamische Puffervariable erzeugen }
  Memo1A.GetTextBuf(Buffer,Size); { Edit1.Text in den Puffer setzen }

  k1 := Memo1A.SelStart;
  if k1 < 0 then k1 := 0;
  if SucheNachUnten then
  begin
    For I := k1+1 to Size-1 do
    begin
      K := 0;
      while (CharMap[Buffer[i+k]] = szSuchtext[k+1]) do
      begin
        Inc(k);
        if k >= n then
        begin
          FreeMem(Buffer, Size);         { fr den Puffer reservierten Speicher freigeben }
          Memo1A.SetFocus;
          Memo1A.SelStart := i;

          Memo1A.SelLength := n;
          Exit;
        end;
      end;
    end; (* for Zeilen *)
  end
  else
  begin
    For I := k1-1 downto 0 do
    begin
      K := 0;
      while (CharMap[Buffer[i+k]] = szSuchtext[k+1]) do
      begin
        Inc(k);
        if k >= n then
        begin
          FreeMem(Buffer, Size);         { fr den Puffer reservierten Speicher freigeben }
          Memo1A.SetFocus;
          Memo1A.SelStart := i;

          Memo1A.SelLength := n;
          Exit;
        end;
      end;
    end; (* for Zeilen *)
  end;

  FreeMem(Buffer, Size);         { fr den Puffer reservierten Speicher freigeben }
  Msgbox('Suchen','Der Suchstring'+NL+ szSuchtext+NL+'konnte nicht gefunden werden');
end;





procedure TFMDIDEdit.MnOeffnenClick(Sender: TObject);
begin
  FMain.MnOeffnenClick(Sender);
end;

procedure TFMDIDEdit.MnNeuClick(Sender: TObject);
begin
  FMain.MnNeuClick(Sender);
end;

procedure TFMDIDEdit.mnCMDClick(Sender: TObject);
begin
  FMain.MnDOSEbeneClick(Sender);
end;
procedure TFMDIDEdit.mnCalcClick(Sender: TObject);
begin
  FMain.MnTaschenrechnerClick(Sender);
end;

procedure TFMDIDEdit.mnExplorerClick(Sender: TObject);
begin
  FMain.MnExplorerClick(Sender);
end;

procedure TFMDIDEdit.mnNotepadClick(Sender: TObject);
begin
  FMain.MnNotepadClick(Sender);
end;

procedure TFMDIDEdit.mnConvertFromDOS2WindowsClick(Sender: TObject);
var s1, s2:string;
begin
  s1 := Memo1A.Text;
  if Length(s1) > 0 then
  begin
    SetLength(s2, Length(s1));
    OemToChar( PChar(s1), PChar(s2));
    Memo1A.Text := s2;
  end;
end;

procedure TFMDIDEdit.mnConvertFromWindows2DosClick(Sender: TObject);
var s1, s2:string;
begin
  s1 := Memo1A.Text;
  if Length(s1) > 0 then
  begin
    SetLength(s2, Length(s1));
    CharToOem( PChar(s1), PChar(s2));
    Memo1A.Text := s2;
  end;
end;

procedure TFMDIDEdit.mnUndoClick(Sender: TObject);
begin
  Memo1A.Undo;
end;

procedure TFMDIDEdit.mnDeleteRowFromCursorClick(Sender: TObject);
var StartPosition, i, n, Anfang:longint;
    szZ :string;
begin
  Anfang := SendMessage(Memo1A.Handle, EM_LINEFROMCHAR, Memo1A.Selstart,0);
  if Memo1A.Selstart>0 then
  begin
    szZ := Memo1A.Lines[Anfang];           // Aktuelle Zeile
    for i:=Memo1A.Selstart downto 0 do
    begin
      n := ord(Memo1A.text[i]);
      if n = 10 then  // #13    #10
      begin
        StartPosition := Memo1A.Selstart - i+1;   // i steht auf #10
            //   UMemo.Selstart  steht auf einen Buchstaben VOR dem Buchstaben
        delete (szZ, StartPosition, length(szZ) );
        Memo1A.Lines[Anfang] := szZ;
        exit;
      end;
    end;
  end;
end;  // MnZeilebisEndeLoeschen



procedure TFMDIDEdit.mnGotoClick(Sender: TObject);
var szZ:string;
    i, n, zeile:integer;
begin
  szZ := ReadString('gewnschte Zeile','Gehe Zu','');
  if szZ <> '' then
  begin
    if IVal(szZ,zeile) then
    begin
      if zeile < Memo1A.Lines.Count then
      begin
        n:=0;
        for i:=0 to zeile-2 do
        begin
          n := n + length(Memo1A.Lines[i])+2;
        end;
        Memo1A.Selstart := n;
        memo1A.SelLength := 1;
      end;
    end;
  end;
end;

procedure TFMDIDEdit.mnSaveAllClick(Sender: TObject);
begin
  FMain.SaveAllMDIWindows;
end;



procedure TFMDIDEdit.mnSaveSelection2FileClick(Sender: TObject);
begin
  SaveDialog1.Title := 'Block speichern unter';
  SaveDialog1.Filename := '';
  if SaveDialog1.Execute then
  begin
    Memo1A.CopyToClipboard;
    FMain.MainMemo.clear;
    FMain.MainMemo.PasteFromClipboard;
    FMain.MainMemo.lines.SaveToFile(SaveDialog1.Filename);
  end;
end;



procedure TFMDIDEdit.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled:=false;
  Memo1A.SelStart := _Start;
  Memo1A.Sellength:=_NumberofChars;
end;



procedure TFMDIDEdit.mnIncrementielleSearchClick(Sender: TObject);
begin
  _Startpos:=Memo1A.SelStart;
  _SearchString:='';
  StatusBar1.visible := true;
  StatusBar1.Panels.Items[0].Text  := 'Suchen nach';
  StatusBar1.Panels.Items[1].Text  := '';
  StatusBar1.Panels.Items[2].Text  := 'Ende mit ESC';

  _IncSuche := false;
  _IncSucheUp:=false;
  _Startposition[1] := Memo1A.SelStart;
  _NumberOfStartposition:=1;
  memo1A.refresh;
end;

procedure TFMDIDEdit.MyMessage(var Msg:TMsg; var Handled:boolean);
var key:word;
{$ifdef debug}
var i1,i2,i3, i:integer;
{$endif}
begin
  try
    case Msg.Message of
      WM_KeyDown:  begin
                  {$ifdef debug}
                 Labelkeydown.Caption := 'keydn- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.time)+' ';
                   i:= Msg.lparam;
                   i1 := i and $FFFF;
                   i2 := (i shr 16) and $FF;
                   i3 := (i shr 24) and 1;
                 Lkeydownstatus.Caption :=
                     'repeat:'+IntToStr(i1)+' scan'+IntToStr(i2)+'  alt'+IntToStr(i3)+' ';
                  {$endif}
                    end;
      WM_KEYUP:  begin
                  {$ifdef debug}
                 LabelkeyUp.Caption := 'Keyup- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.time)+' ';
                  {$endif}
                  // ErrorErrorError
                   (*  // entfernt am 28.05.2007
                   if (bUIncSuche or bUIncSucheUp) and (Msg.wparam=8)  then
                   begin
                     if UAnzStartpossi>2 then
                     begin
                       Memo1.Sellength:=0;
                       setlength(szUSuchString, length(szUSuchString)-1);
                       // szUSuchString:= copy(szUSuchString,1, length(szUSuchString)-1);
                       StatusBar1.Panels.Items[1].Text  := szUSuchString;
                       dec(UAnzStartpossi,1);
                       UStartpos := UStartpossi[UAnzStartpossi];
                       Memo1.SelStart  := UStartpossi[UAnzStartpossi];
                       Memo1.Sellength := length(szUSuchString);
                       Handled := false;
                     end;
                     Msg.wparam:=0;
                     Msg.message:=0;
                     // bUIncSuche := false;
                     // bUIncSucheUp := false;
                   end;
                   *)
                 end;

     {$ifdef debug}
       WM_DEADCHAR:  begin
                 Labeldeadchar.Caption := 'deadChar- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.lparam)+' ';
                 end;
       WM_SYSKEYDOWN:  begin
                 //Caption := 'sysKeydn- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.lparam)+' ';
                 end;
       WM_SYSKEYUP:  begin
                 //Caption := 'sysKeyup- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.lparam)+' ';
                 end;
       WM_SYSCHAR:  begin
                 //Caption := 'syschar- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.lparam)+' ';
                 end;
       WM_SYSDEADCHAR:  begin
                 //Caption := 'sysdeadchar- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.lparam)+' ';
                 end;
       WM_KEYLAST:  begin
                 Labelkeylast.Caption := 'keylast- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.lparam)+' ';
                 end;
      {$endif}


      WM_CHAR: begin
                  {$ifdef debug}
              //Caption := 'ch- '+IntTostr(Msg.wparam)+' ' + IntTostr(Msg.time)+' ';
                  {$endif}
             if _IncSuche then
             begin
               key := Msg.wParam;
               if key = 27 then
               begin
                 _IncSuche := false;
                 StatusBar1.visible := false;
                 Msg.wparam:=0;
                 Msg.message:=0;
                 exit;
               end;
               if key < 32 then
               begin
                 if key = 8 then   //
                 begin
                   if _NumberOfStartposition>2 then
                   begin
                     Memo1A.Sellength:=0;
                     setlength(_SearchString, length(_SearchString)-1);
                     // szUSuchString:= copy(szUSuchString,1, length(szUSuchString)-1);
                     StatusBar1.Panels.Items[1].Text  := _SearchString;
                     dec(_NumberOfStartposition,1);
                     _Startpos := _Startposition[_NumberOfStartposition];
                     Memo1A.SelStart  := _Startposition[_NumberOfStartposition];
                     Memo1A.Sellength := length(_SearchString);
                     Handled := false;
                   end;
                   Msg.wparam:=0;
                   Msg.message:=0;
                   exit;
                 end
                 else
                 begin
                   _IncSuche := false;
                   StatusBar1.visible := false;
                 end;
               end
               else
               begin
                 Msg.wparam:=0;
                 Msg.message:=0;
                 exit;
               end;
             end;

         end;
    end;
  except
    //Meldung('error','Suche1');
  end;
  // Caption := IntTostr(Msg.message);
end;

procedure TFMDIDEdit.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
//  Caption := Caption +' x'+IntToStr(key);
  if _IncSuche then
  begin
    if shift <> [] then
    begin
      _IncSuche := false;
      StatusBar1.visible := false;
    end;
  end;
end;

procedure TFMDIDEdit.mnCloseAllClick(Sender: TObject);
begin
 FMain.CloseAllWindows();
end;


procedure TFMDIDEdit.MnUpdateClick(Sender: TObject);
begin
  Memo1A.Lines.LoadFromFile(_Filename);
  Memo1A.SelStart := 0;
  Memo1A.Modified := False;
  FMain.StatusBar1.Panels.Items[1].Text  := '';
end;

procedure TFMDIDEdit.Memo1AMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var zeilennr:longint;
begin
  zeilennr := SendMessage(Memo1A.Handle,EM_LINEFROMCHAR,Memo1A.SelStart,0)+1;
  FMain.StatusBar1.Panels.Items[0].Text  :=  'Zeile: '+IntToStr(zeilennr);
end;


procedure TFMDIDEdit.LkRueckgaengigClick(Sender: TObject);
begin
  mnUndoClick(Sender);
end;

procedure TFMDIDEdit.LkBlockAusschneidenClick(Sender: TObject);
begin
  mnCutClick(Sender);
end;

procedure TFMDIDEdit.LkBlockKopierenClick(Sender: TObject);
begin
  mnCopyClick(Sender);
end;

procedure TFMDIDEdit.LkBlockLoeschenClick(Sender: TObject);
begin
  mnDeleteClick(Sender);
end;

procedure TFMDIDEdit.LkBlockEinfuegenClick(Sender: TObject);
begin
  mnPasteClick(Sender);
end;

procedure TFMDIDEdit.LkGeheZuClick(Sender: TObject);
begin
  mnGotoClick(Sender);
end;

procedure TFMDIDEdit.LkAllesmarkierenClick(Sender: TObject);
begin
  mnSelectAllClick(Sender);
end;

procedure TFMDIDEdit.LkSuchenClick(Sender: TObject);
begin
  mnSearchClick(Sender);
end;

procedure TFMDIDEdit.LkWeitersuchenClick(Sender: TObject);
begin
  mnSearchAgainClick(Sender);
end;

procedure TFMDIDEdit.LkSuchenErsetzenClick(Sender: TObject);
begin
  mnSearchAndReplaceClick(Sender);
end;

procedure TFMDIDEdit.LkIncrementielleSucheClick(Sender: TObject);
begin
  mnIncrementielleSearchClick(Sender);
end;

procedure TFMDIDEdit.MnAktuellerInhaltspeichernClick(Sender: TObject);
begin
  Memo1A.Lines.SavetoFile(G_Path+G_LastVersion);
  _LastFilename := ExtractFileName(_Filename);
end;


procedure TFMDIDEdit.mnPythonDirektClick(Sender: TObject);
begin
  if _Filename = C_Untitled then
  begin
    Msgbox('Hinweis','Bitte die Datei erst speichern');
    exit;
  end;
  if Memo1A.Modified then
  begin
    Memo1A.Lines.SaveToFile(_Filename);
  end;
  // StartDosOhne(szCommand, szParameter, szDatei:string);
  StartDosOhne(_Filename, '');

end;

procedure TFMDIDEdit.mnPythonWithDosBoxClick(Sender: TObject);
begin
  if _Filename = C_Untitled then
  begin
    Msgbox('Hinweis','Bitte die Datei erst speichern');
    exit;
  end;
  if Memo1A.Modified then
  begin
    Memo1A.Lines.SaveToFile(_Filename);
  end;
  StartDosOhne('cmd.exe','/k '+_Filename);
end;





function TFMDIDEdit.getPath():string;
begin
  if _Filename = C_Untitled
  then result := ''
  else result := _Path;
end;

procedure TFMDIDEdit.StartDosOhne(szCommand, szParameter:string);
var   AktPfad:string;
begin
  AktPfad := ExtractFilepath(_Filename);

  if ExecuteFile(szCommand, szParameter, AktPfad, SW_Show)<=32 then
  begin
     Errorbox('Fehler','Fehler beim Aufruf des externen Programms');
  end;
end;  



procedure TFMDIDEdit.Memo1AKeyUp(Sender: TObject; var Key: Word;  Shift: TShiftState);
var zeilennr:longint;
begin
  zeilennr := SendMessage(Memo1A.Handle,EM_LINEFROMCHAR,Memo1A.SelStart,0)+1;
  FMain.StatusBar1.Panels.Items[0].Text  :=  'Zeile: '+IntToStr(zeilennr);
  StatusBar1.Panels.Items[0].Text  :=  'Zeile: '+IntToStr(zeilennr);
end;



// chr(13)+chr(10);
procedure TFMDIDEdit.insertText(text:string);
begin
  text := AnsiReplaceText(text,'\r\n',chr(13)+chr(10));
  text := AnsiReplaceText(text,'\t',chr(9));
  Memo2.Text := text;
  Memo2.SelectAll();
  Memo2.CopyToClipboard();
  Memo1A.PasteFromClipboard;
  Memo1A.Modified:=true;
end;

procedure TFMDIDEdit.mnIfClick(Sender: TObject);
begin
  insertText('\tif a == 0:\r\n\t\t');
end;

procedure TFMDIDEdit.mnIfElseClick(Sender: TObject);
begin
  insertText('\tif a == 0:\r\n\t\tpass\r\n\telse:\r\n\t\tpass');
end;

procedure TFMDIDEdit.Ifelifelse1Click(Sender: TObject);
begin
  insertText('\tif a == 0:\r\n\t\tpass\r\n\telif b == 0:\r\n\t\tpass\r\n\telse:\r\n\t\tpass');
end;

procedure TFMDIDEdit.mnWhileClick(Sender: TObject);
begin
  insertText('\twhile True:\r\n\t\tpass');
end;

procedure TFMDIDEdit.mnForEachClick(Sender: TObject);
begin
  insertText('\tfor i in [1,2,3]:\r\n\t\tprint(i)');
end;

procedure TFMDIDEdit.mnForRangeClick(Sender: TObject);
begin
  insertText('\tfor i in range(1,10,2):\r\n\t\tprint(i)');
end;

procedure TFMDIDEdit.mnInt2StringClick(Sender: TObject);
begin
  insertText('\ts=str(123)');
end;

procedure TFMDIDEdit.mnDouble2StringClick(Sender: TObject);
begin
  insertText('\tdValue=str(123.4)');
end;

procedure TFMDIDEdit.mnString2IntClick(Sender: TObject);
begin
 insertText('\tiValue=int(''123'')');
end;

procedure TFMDIDEdit.mnString2FloatClick(Sender: TObject);
begin
 insertText('\tfValue=float(''123.4'')');
end;

procedure TFMDIDEdit.mnShowTypeClick(Sender: TObject);
begin
  insertText('\tprint(''type(var1): '', type(var1))');
end;

procedure TFMDIDEdit.mnFunctionVoidClick(Sender: TObject);
begin
  insertText('\tdef fktname(param1):\r\n\t\tprint(param1)');
end;

procedure TFMDIDEdit.mnFunctionIntClick(Sender: TObject);
begin
  insertText('\tdef fktname(value):\r\n\t\tprint(value)\r\n\treturn value+1');
end;

procedure TFMDIDEdit.mnFunktionTupleClick(Sender: TObject);
begin
  insertText('\tdef fktname(value):\r\n\t\tprint(param)\r\n'+
    '\t\t# Abfrage: t[0], t[1]\r\n\t\treturn (value+1, value+2)');
end;

procedure TFMDIDEdit.mnList1Click(Sender: TObject);
begin
  insertText(
      '# einfache Liste\r\n' +
      'liste = [1,2,13,13,35,6,7,8,9]\r\n' +
      'print(''Ausgabe mit foreach:'')\r\n' +
      'for item in liste:\r\n' +
      '\tprint(item)\r\n' +
      'print()\r\n' +
      'print(''Ausgabe mit for range:'')\r\n' +
      'for i in range(0,len(liste),1):\r\n' +
      '\tprint( liste[i] )\r\n' +
      'Methoden\r\n' +
      '# Anzahl der Elemente in der Liste: len(liste) \r\n' +
      '# Min-Element: min(liste) \r\n' +
      '# Max-Element: max(liste) \r\n' +
      '# Suche 6: liste.count(6) \r\n' +
      '# Position von 13: liste.index(13) \r\n' +
      '# insert: liste.insert(42,1)\r\n' +
      '# liste.reverse()\r\n'
      );
end;

procedure TFMDIDEdit.mnDict1Click(Sender: TObject);
begin
    insertText(
        'noten = {27456:1.3 , 27457:3.3 , 27459:2.7 , "Brcke":"Extrakse" } \r\n' +
        'for key in noten: \r\n' +
        '\tprint(key) \r\n' +
        'print("Ausgabe mit einem Key:") \r\n' +
        'print( noten[27456] ) \r\n' +
        'for key in noten.keys(): \r\n' +
        '\tprint(key, "  ",noten[key]) \r\n' +
        'print("Anzahl der Elemente in der Dictionary", len(noten) ) \r\n'
    );
end;

procedure TFMDIDEdit.mnSet1Click(Sender: TObject);
begin
  insertText(
      's = set( (2,3,5,7) ) \r\n' +
      'for item in s: \r\n' +
      '\tprint(item) \r\n\r\n' +
      'print() \r\n' +
      's.add(''Pizza'') \r\n' +
      's.add(''Pizza'') \r\n\r\n' +
      'for item in s: \r\n' +
      '\tprint(item) \r\n\r\n' +
      'print() \r\n' +
      'print(len(s)) \r\n'
  );
end;

procedure TFMDIDEdit.mnExceptionCastClick(Sender: TObject);
begin
    insertText( 
        'try:\r\n' +
        '\ta = int(''abc'')\r\n' +
        'except ValueError as e:\r\n' +
    '\tprint("fehlerhafte Zahl")\r\n\r\n'+
        '\t# IndexError\r\n'+
        '\t# ArithmeticError\r\n'+
        '\t# EOFError\r\n'+
        '\t# IOError\r\n'+
        '\t# AttributeError  hat kein Instanz hat kein Attribut\r\n'+
        '\t# MemoryError\r\n'+
        '\t# OverflowError\r\n'+
        '\t# ZeroDivisionError\r\n\r\n' +
        '# raise ValueError(''represents a hidden bug, do not catch this'')'
    );

end;

procedure TFMDIDEdit.mnExceptionFullClick(Sender: TObject);
begin
    insertText(
        'try:\r\n' +
        '\ta = int(''abc'')\r\n' +
        'except ValueError as e1:\r\n' +
        '\tprint("fehlerhafte Zahl")\r\n\r\n' +
        'except OverflowError as e2:\r\n' +
        '\tprint("overflowError")\r\n\r\n' +
        'else:\r\n' +
        '\t#ausgefuehrt, wenn keine Exception erzeugt wurde\r\n' +
        '\tpass\r\n' +
        'finally:\r\n' +
        '\t#immer ausgefuehrt\r\n' +
        '\tpass\r\n\r\n' +
        '# raise ValueError(''represents a hidden bug, do not catch this'')'

    );
end;

procedure TFMDIDEdit.mnSimpleClassClick(Sender: TObject);
begin
  insertText('class Punkt:\r\n' +
             '\tdef __init__(self, x, y):\r\n' +
             '\t\tself.x=x\r\n' +
             '\t\tself.y=y\r\n\r\n' +
             '\tdef __str__(self):\t# toString\r\n' +
             '\t\treturn str(self.x)+", "+str(self.y)" + "\r\n' +
             '# main\r\n' +
             'p1 = Punkt(12,3)\r\n' +
             'p1.x=42\r\n' +
             'print(p1.x,p1.y)\r\n');
end;

procedure TFMDIDEdit.mnSimpleClassSetGetterClick(Sender: TObject);
begin
    insertText( 'class Punkt:\r\n' +
             '\tdef __init__(self, x):\r\n' +
             '\t\tself._X=x\r\n\r\n' +
             '\tdef getX(self):\r\n' +
             '\t\treturn self._X\r\n\r\n' +
             '\tdef setX(self,x):\r\n' +
             '\t\tself._X=x\r\n\r\n' +
             '# main\r\n' +
             'p1 = Punkt(12)\r\n' +
             'p1.setX(42)\r\n' +
             'print(p1.getX())\r\n');
end;

procedure TFMDIDEdit.mnSimple2ClassClick(Sender: TObject);
begin
  insertText( 'class Schiff:\r\n' +
            '\tdef __init__(self, name):\r\n\r\n' +
            '\t\tself._name=name\r\n' +
            '\tdef getName(self):\r\n' +
            '\t\treturn self._name\r\n\r\n' +
            '\tdef setName(self,name):\r\n' +
            '\t\tself._name=name\r\n\r\n' +

            'class Frachter(Schiff):\r\n\r\n' +
            '\tdef __init__(self, name, frachtvolumen):\r\n' +
            '\t\tSchiff.__init__(self, name)\r\n' +
            '\t\tself._frachtvolumen=frachtvolumen\r\n\r\n' +
            '\tdef getFrachtvolumen(self):\r\n' +
            '\t\treturn self._frachtvolumen\r\n\r\n' +
            '\tdef setFrachtvolumen(self,frachtvolumen):\r\n' +
            '\t\tself._frachtvolumen=frachtvolumen\r\n\r\n' +
            '\tdef __str__(self):\r\n' +
            '\t\treturn Schiff.getName(self)+''  ''+str(self.getFrachtvolumen())\r\n\r\n' +
            '# main\r\n' +
            's1 = Schiff(''Titanic'')\r\n' +
            's1.setName(''Queen Mary'')\r\n' +
            'print(s1.getName())\r\n' +
            'f1 = Frachter(''KaesePizza'', 12000)\r\n' +
            'f1.setFrachtvolumen(14000)\r\n' +
            'print(f1)\r\n') ;
end;

procedure TFMDIDEdit.mnInputStringClick(Sender: TObject);
begin
  insertText('inp = input("Geben Sie bitte keinen Text ein")\r\nprint(inp)');
end;

procedure TFMDIDEdit.mnInputIntClick(Sender: TObject);
begin
  insertText('zahl = int(input("Geben Sie bitte eine Zahl ein"))\r\nprint(zahl)');
end;

procedure TFMDIDEdit.mnInputFloatClick(Sender: TObject);
begin
  insertText('zahl = float(input("Geben Sie bitte eine Zahl ein"))\r\nprint(zahl)');
end;

procedure TFMDIDEdit.mnargv1Click(Sender: TObject);
begin
    insertText( 'import sys\r\n\r\n' +
                      'print(len(sys.argv))\r\n\r\n' +
                      'if len(sys.argv)>0:\r\n' +
                      '\t# kompletter Name des Skriptes\r\n' +
                      '\tprint(sys.argv[0])\r\n\r\n'
          );

end;


procedure TFMDIDEdit.MnImportosClick(Sender: TObject);
begin
  insertText('import os\r\n');
end;

procedure TFMDIDEdit.MnImportOsPathClick(Sender: TObject);
begin
  insertText('import os.path\r\n');
end;

procedure TFMDIDEdit.mnGetCWDClick(Sender: TObject);
begin
  insertText('\t\tpath = getcwd()\r\n');
end;

procedure TFMDIDEdit.mnListdirClick(Sender: TObject);
begin
  insertText('\t\titems = os.listdir(path)\r\n'); 
end;

procedure TFMDIDEdit.mnIsdirClick(Sender: TObject);
begin
  insertText('\t\tvalue = os.path.isdir(item)\r\n');
end;

procedure TFMDIDEdit.mnIsfileClick(Sender: TObject);
begin
  insertText('\t\tvalue = os.path.isfile(item)\r\n');
end;

procedure TFMDIDEdit.mnUIFrameworkClick(Sender: TObject);
begin
  insertText(
      'import tkinter\r\n\r\n' +
      'class MyApp(tkinter.Frame):\r\n\r\n' +
      '\tdef __init__(self, master=None):\r\n' +
      '\t\ttkinter.Frame.__init__(self, master)\r\n' +
      '\t\tself.pack(expand=True, fill="both") \r\n' +
      '\t\tself.setGUI()\r\n\r\n' +
      '\tdef setGUI(self):\r\n' +
      '\t\tself.inputui = tkinter.Entry(self)\r\n' +
      '\t\tself.inputui.pack()\r\n' +
      '\t\tself.bnEsc = tkinter.Button(self)\r\n' +
      '\t\tself.bnEsc["text"] = "Ende"\r\n' +
      '\t\tself.bnEsc["command"] = self.quit\r\n' +
      '\t\tself.bnEsc.pack(side="right")\r\n\r\n' +

      'root = tkinter.Tk()\r\n' +
      'root.title("Mein Fenster")\r\n' +
      'root.geometry("250x100")\r\n' +
      'app = MyApp(root)\r\n' +
      'app.mainloop()\r\n'
  );
end;

procedure TFMDIDEdit.mnUIFrameClick(Sender: TObject);
begin
      insertText(
          '\t\tframe1 = tkinter.Frame(self)\r\n' +
          '\t\tframe1.pack(fill="x", side="top" ) \t # fill=x,y,both\r\n'
      );
end;

procedure TFMDIDEdit.mnUILabelClick(Sender: TObject);
begin
  insertText(
      '\t\tself.label1 = tkinter.Label(self)\r\n' +
      '\t\tself.label1["text"] = "Eingabe"\r\n' +
      '\t\tself.label1.pack()\r\n'
  );
end;

procedure TFMDIDEdit.mnUIEntryClick(Sender: TObject);
begin
    insertText(
        '\t\tself.inputui = tkinter.Entry(self)\r\n' +
        '\t\tself.inputui.pack(fill="x",padx="5",pady="5")\r\n'
    );
end;

procedure TFMDIDEdit.mnUISpinboxClick(Sender: TObject);
begin
    insertText(
        '\t\tself.spinbox = tkinter.Spinbox(inputframe, from_=0, to=10)\r\n' +
        '\t\t# self.spinbox = tkinter.Spinbox(inputframe,values = ("AI","VW","W"))\r\n' +
        '\t\tself.spinbox.pack(fill="x",padx="5",pady="5")\r\n'
    );
end;

procedure TFMDIDEdit.mnUIButtonClick(Sender: TObject);
begin
    insertText(
        '\t\tself.bnOk = tkinter.Button(self)\r\n' +
        '\t\tself.bnOk["text"] = "Ok"\r\n' +
        '\t\tself.bnOk["command"] = self.quit\r\n' +
        '\t\tself.bnOk.pack(side="right")\r\n'

    );
end;

procedure TFMDIDEdit.mnUIRadiobuttonClick(Sender: TObject);
begin
  insertText(
      '\t\tself.group = tkinter.LabelFrame(self, text="Noten")\r\n' +
      '\t\tself.group.pack(fill="both", expand="yes")\r\n' +
      '\t\tself.rb1= tkinter.Radiobutton(self.group, text="Eins", value="Eins")\r\n' +
      '\t\tself.rb1.pack()\r\n' +
      '\t\tself.rb2= tkinter.Radiobutton(self.group, text="Zwei", value="Zwei")\r\n' +
      '\t\tself.rb2.pack()\r\n' +
      '\t\tself.rbProperty = tkinter.StringVar()\r\n' +
      '\t\tself.rbProperty.set("Zwei")\r\n' +
      '\t\tself.rb1["variable"] = self.rbProperty\r\n' +
      '\t\tself.rb2["variable"] = self.rbProperty\r\n'
  );
end;

procedure TFMDIDEdit.mnUICheckbuttonClick(Sender: TObject);
begin
    insertText(
        '\t\tself.group = tkinter.LabelFrame(self, text="Noten")\r\n' +
        '\t\tself.group.pack(fill="both", expand="yes")\r\n' +
        '\t\tself.chk1= tkinter.Checkbutton(self)\r\n' +
        '\t\tself.chk1["text"] = "Eins"\r\n' +
        '\t\tself.chk1.pack()\r\n' +
        '\t\tself.chk2= tkinter.Checkbutton(self)\r\n' +
        '\t\tself.chk2["text"] = "Zwei"\r\n' +
        '\t\tself.chk2.pack()\r\n' +
        '\t\tself.chkProperty1 = tkinter.BooleanVar()\r\n' +
        '\t\tself.chkProperty1.set(True)\r\n' +
        '\t\tself.chk1["variable"] = self.chkProperty1\r\n' +
        '\t\tself.chkProperty2 = tkinter.BooleanVar()\r\n' +
        '\t\tself.chkProperty2.set(False)\r\n' +
        '\t\tself.chk2["variable"] = self.chkProperty2\r\n'
    );
end;

procedure TFMDIDEdit.mnUIListboxClick(Sender: TObject);
begin
    insertText(
        '\t\tsb = tkinter.Scrollbar(self)\r\n' +
        '\t\tsb.pack(fill="y", side="right")\r\n' +
        '\t\tself.listbox = tkinter.Listbox(self)\t # selectmode="single, extended orient="horizontal"   "\r\n' +
        '\t\tself.listbox.pack(expand=True, fill="both")\r\n' +
        '\t\tself.listbox["yscrollcommand"] = sb.set\r\n' +
        '\t\tsb["command"] = self.listbox.yview\r\n' +
        '\t\tself.listbox.insert("end", "abc")\r\n'
    );

end;

procedure TFMDIDEdit.mnUITextClick(Sender: TObject);
begin
  insertText(
    '\t\tsbx = tkinter.Scrollbar(self, orient="horizontal")\r\n' +
        '\t\tsbx.pack(fill="x", side="bottom")\r\n\r\n' +

    '\t\tsby = tkinter.Scrollbar(self)\r\n' +
        '\t\tsby.pack(fill="y", side="right")\r\n\r\n' +

    '\t\tself.editor = tkinter.Text(self)\r\n' +
    '\t\tself.editor.config(wrap="none")  # wrap="word"  word char \r\n' +
        '\t\tself.editor.pack(expand=True, fill="both", padx="5",pady="5")\r\n\r\n' +

    '\t\tself.editor["xscrollcommand"] = sbx.set\r\n' +
    '\t\tsbx["command"] = self.editor.xview\r\n' +
    '\t\tself.editor["yscrollcommand"] = sby.set\r\n' +
    '\t\tsby["command"] = self.editor.yview\r\n'
        );

end;

procedure TFMDIDEdit.mnUIStringVarClick(Sender: TObject);
begin
    insertText(
        '\t\tself.var_inputfield1 = tkinter.StringVar()\r\n' +
        '\t\tself.var_inputfield1.set("abc")\r\n' +
        '\t\tself.inputui1["textvariable"] = self.var_inputfield1\r\n'
    );
end;

procedure TFMDIDEdit.mnUIIntVarClick(Sender: TObject);
begin
    insertText(
        '\t\tself.var_inputfield1 = tkinter.IntVar()\r\n' +
        '\t\tself.var_inputfield1.set(12)\r\n' +
        '\t\tself.inputui1["textvariable"] = self.var_inputfield1\r\n'
    );
end;

procedure TFMDIDEdit.mnUIDoubleVarClick(Sender: TObject);
begin
    insertText(
        '\t\tself.var_inputfield1 = tkinter.DoubleVar()\r\n' +
        '\t\tself.var_inputfield1.set(12.4)\r\n' +
        '\t\tself.inputui1["textvariable"] = self.var_inputfield1\r\n'
    );
end;

procedure TFMDIDEdit.mnUIBooleanVarClick(Sender: TObject);
begin
  insertText(
      '\t\tself.chkProperty1 = tkinter.BooleanVar()\r\n' +
      '\t\tself.chkProperty1.set(True)\t# self.chkProperty1.get()\r\n' +
      '\t\tself.inputui1["textvariable"] = self.chkProperty1\r\n'
  );
end;

procedure TFMDIDEdit.mnUIListBoxInsertClick(Sender: TObject);
begin
    insertText(
        '\t\tself.listbox.insert(0,"abc")\r\n'
    );
end;

procedure TFMDIDEdit.mnUIListBoxAddClick(Sender: TObject);
begin
    insertText(
        '\t\tself.listbox.insert("end","abc")\r\n'
    );
end;

procedure TFMDIDEdit.mnUIListBoxSelectClick(Sender: TObject);
begin
    insertText(
        '\t\tindizes = self.listbox.curselection()\t # tupel, selectmode=extended\r\n'+
        '\t\tindex = indizes[0]\r\n'
    );
end;

procedure TFMDIDEdit.mnUIListBoxGetClick(Sender: TObject);
begin
    insertText(
        '\t\titem = self.listbox.get(index)\r\n'
    );
end;

procedure TFMDIDEdit.mnUIListBoxDeleteClick(Sender: TObject);
begin
    insertText(
        '\t\tself.listbox.delete(1.0,"end")\r\n'
    );
end;

procedure TFMDIDEdit.mnUITextInsertClick(Sender: TObject);
begin
    insertText(
        '\t\tself.editor.insert("end","abc")\r\n'
    );
end;

procedure TFMDIDEdit.mnUITextDeleteClick(Sender: TObject);
begin
    insertText(
        '\t\tself.editor.delete(1.0,"end")\r\n'
    );

end;

procedure TFMDIDEdit.mnUIMsgOkCancelClick(Sender: TObject);
begin
    insertText(
        '\t\tmessagebox.askokcancel( "Meldung", "Ihre Festplatte wird formatiert")\r\n'+
        '\t\t    # icon=''question'', error, warning, info, question\r\n'
    );
end;

procedure TFMDIDEdit.mnUIMsgYesNoClick(Sender: TObject);
begin
    insertText(
        '\t\tresult = messagebox.askyesno("Delete", "Are You Sure?", \r\n'+
        '\t\t\ticon=''question'', default=''no'')\r\n'+
        '\t\tif result == True:\r\n'+
        '\t\t\tmessagebox.showinfo("Deleted","Deleted")\r\n'+
        '\t\telse:\r\n'+
        '\t\t\tmessagebox.showinfo("Not Deleted","Not Deleted")\r\n'+
        '\t\t    # icon=''question'', error, warning, info, question\r\n'
    );
end;

procedure TFMDIDEdit.mnUIMsgYesNoCancelClick(Sender: TObject);
begin
    insertText(
        '\t\tresult = messagebox.askyesnocancel( "Beenden", "nderungen speichern?")\r\n'+
        '\t\tif result == True:\r\n'+
        '\t\t\tmessagebox.showinfo("Beenden","Save")\r\n'+
        '\t\telif result == False:\r\n'+
        '\t\t\tmessagebox.showinfo("Beenden","No Save")\r\n'+
        '\t\telif result == None:\r\n'+
        '\t\t\tmessagebox.showinfo("Beenden","No Close")\r\n'+
        '\t\telse:\r\n'+
        '\t\t\tmessagebox.showinfo("Beenden","Fehlerhafte Abfrage")\r\n'+
        '\t\t    # icon=''question'', error, warning, info, question\r\n\r\n'
    );
end;

procedure TFMDIDEdit.mnUIMsgRetryCancelClick(Sender: TObject);
begin
    insertText(
        '\t\tresult = messagebox.askretrycancel( "Datei ffnen", "Fehler beim ffnen, noch einmal versuchen?")\r\n'+
        '\t\tif result == True:\r\n'+
        '\t\t\tmessagebox.showinfo("Datei ffnen","Noch einmal")\r\n'+
        '\t\telse:\r\n'+
        '\t\t\tmessagebox.showinfo("Datei ffnen","Ende, kein weiterer Versuch")\r\n'+
        '\t\t\t # messagebox.askokcancel( "Note", "Sie erhalten eine 1,0", default=''yes'')\r\n'
    );
end;

procedure TFMDIDEdit.mnUIAskStringClick(Sender: TObject);
begin
  insertText(
      '\t\tresult = simpledialog.askstring( "Hello Python", "Hello World")\r\n'+
      '\t\tif result == None:\r\n'+
      '\t\t\tmessagebox.showinfo("Eingabe","keine")\r\n'+
      '\t\telse:\r\n'+
      '\t\t\tmessagebox.showinfo("Eingabe",result)\r\n'
  );
end;

procedure TFMDIDEdit.mnUIAskIntClick(Sender: TObject);
begin
  insertText(
      '\t\tresult = simpledialog.askinteger( "Hello Python", "Hello World")\r\n'+
      '\t\tif result == None:\r\n'+
      '\t\t\tmessagebox.showinfo("Eingabe","keine")\r\n'+
      '\t\telse:\r\n'+
      '\t\t\tmessagebox.showinfo("Eingabe",result)\r\n'
  );
end;

procedure TFMDIDEdit.mnUIAskFloatClick(Sender: TObject);
begin
  insertText(
      '\t\tresult = simpledialog.askfloat( "Hello Python", "Hello World")\r\n'+
      '\t\tif result == None:\r\n'+
      '\t\t\tmessagebox.showinfo("Eingabe","keine")\r\n'+
      '\t\telse:\r\n'+
      '\t\t\tmessagebox.showinfo("Eingabe",result)\r\n'
  );
end;

procedure TFMDIDEdit.mnUIOpenDialogClick(Sender: TObject);
begin
    insertText(
            '\t\tfilename = filedialog.askopenfilename(title="Dateien laden",\r\n' +
                '\t\t\t initialdir="D:/Daten", multiple=False,\r\n' +
                '\t\t\t filetypes=( ("Pythondateien",".py" ),("Alle Dateien","*.*" ) ) )\r\n' +
                '\t\tif filename:\r\n' +
                '\t\t\tmessagebox.showinfo("Eingabe",filename)\r\n\r\n' +
                '\t\telse:\r\n' +
                '\t\t\tmessagebox.showinfo("Auswahl","Abbruch")\r\n'
    );
end;

procedure TFMDIDEdit.mnUISaveDialogClick(Sender: TObject);
begin
    insertText(
        '\t\tfilename = filedialog.asksaveasfilename(initialfile="Beispiel.py", \r\n' +
        '\t\t\t title="Dateien laden", \r\n' +
        '\t\t\t initialdir="D:\\Python\\",\r\n' +
        '\t\t\t filetypes=( ("Pythondateien",".py" ),("Alle Dateien","*.*" ) ) )\r\n' +
        '\t\tif filename:\r\n' +
        '\t\t\tmessagebox.showinfo("Auswahl",filename)   \r\n' +
        '\t\telse:\r\n' +
        '\t\t\tmessagebox.showinfo("Auswahl","Abbruch")\r\n'
    );
end;


procedure TFMDIDEdit.mnLabelframeClick(Sender: TObject);
begin
    insertText(
        '\t\tlabelframe = tkinter.LabelFrame(self, text="Caption")\r\n' +
        '\t\tlabelframe.pack(fill="both", expand="yes")\r\n'
    );

end;

procedure TFMDIDEdit.mnScrollbarVerticalClick(Sender: TObject);
begin
    insertText(
        '\t\tsby = tkinter.Scrollbar(self)\r\n' +
        '\t\tsby.pack(fill="y", side="right")\r\n\r\n' +
        '\t\t# UI-Element\r\n' +
        '\t\t# self.element["yscrollcommand"] = sbx.set\r\n' +
        '\t\t#sby["command"] = self.element.yview\r\n'
    );
end;

procedure TFMDIDEdit.mnScrollbarHorizontalClick(Sender: TObject);
begin
    insertText(
        '\t\tsbx = tkinter.Scrollbar(self, orient="horizontal")\r\n' +
        '\t\tsbx.pack(fill="x", side="bottom")\r\n\r\n' +

        '\t\t# UI-Element\r\n' +

        '\t\t# self.element["xscrollcommand"] = sbx.set\r\n' +
        '\t\tsbx["command"] = self.element.xview\r\n'
    );
end;



procedure TFMDIDEdit.mnAbsClick(Sender: TObject);
begin
  insertText(
       '\t\tvar1 = abs(-12)\r\n'
   );
end;

procedure TFMDIDEdit.mnFabsClick(Sender: TObject);
begin
  insertText(
       '\t\tvar1 = math.fabs(-12.5)\r\n'
   );

end;

procedure TFMDIDEdit.mnMinClick(Sender: TObject);
begin
  insertText(
     '\t\tvar1 = min([1,2,3])\r\n'
   );
end;

procedure TFMDIDEdit.mnMaxClick(Sender: TObject);
begin
  insertText(
     '\t\tvar1 = max([1,2,3])\r\n'
   );

end;

procedure TFMDIDEdit.mnExpClick(Sender: TObject);
begin
 insertText(
      '\t\tvar1 = math.exp(1)\r\n'
   );
end;

procedure TFMDIDEdit.mnLog10Click(Sender: TObject);
begin
  insertText(
      '\t\tvar1 = math.log10(11)\r\n'
    );
end;

procedure TFMDIDEdit.mnLogxbaseClick(Sender: TObject);
begin
   insertText(
     '\t\tvar1 = math.log(100,10)\t ==> 2\r\n'
    );
end;

procedure TFMDIDEdit.mnLnClick(Sender: TObject);
begin
   insertText(
    '\t\tvar1 = math.log(11)\t  ln(11) ==> 2.3978952727983707\r\n'
   );
end;

procedure TFMDIDEdit.mnSqrtClick(Sender: TObject);
begin
  insertText(
     '\t\tvar1 = math.sqrt(2)\r\n'
   );
end;

procedure TFMDIDEdit.mnFloorClick(Sender: TObject);
begin
  insertText(
     '\t\tvar1 = math.floor(-12.2)\t  => -13\r\n'+
     '\t\tvar1 = math.floor(12.2)\t  => 12\r\n'
   );
end;

procedure TFMDIDEdit.mnTruncClick(Sender: TObject);
begin
  insertText(
      '\t\tvar1 = math.floor(-12.2)\t  => -12\r\n' +
      '\t\tvar1 = math.floor(12.2)\t  => 12\r\n'
   );
end;

procedure TFMDIDEdit.mnRoundClick(Sender: TObject);
begin
  insertText(
      '\t\tvar1 = round(12.2)\t  => 12\r\n' +
      '\t\tvar1 = round(12.5)\t  => 12\r\n' +
      '\t\tvar1 = round(12.6)\t  => 13\r\n'+
      '\t\tvar1 = round(12.66,1)\t  => 12.7\r\n'
  );
end;


procedure TFMDIDEdit.mnUIForegroundClick(Sender: TObject);
begin
  insertText(
     '\t\tuiElement.config(fg="red")\r\n'
  );
end;

procedure TFMDIDEdit.mnUIBackgroundClick(Sender: TObject);
begin
  insertText(
     '\t\tuiElement.config(bg="yellow")\r\n'
  );
end;

procedure TFMDIDEdit.mnAnchorClick(Sender: TObject);
begin
    insertText(
        '\t\tuiElement.config(anchor="n")\t# n, ne, e, se, s, sw, w, wn, center\r\n'
    );
end;

procedure TFMDIDEdit.mnJustifyClick(Sender: TObject);
begin
    insertText(
        '\t\tuiElement.config(justify="tkinter.LEFT")\t# LEFT, RIGHT, or CENTER\r\n'
    );

end;

end.

