
import tkinter
from tkinter import messagebox
from tkinter import simpledialog

class MyApp(tkinter.Frame):

	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.pack()
		self.setGUI()

	def setGUI(self):		
		self.inputui = tkinter.Entry(self)
		self.inputui.pack(expand=True, fill="x", padx="30",pady="10")


		self.bnESC = tkinter.Button(self)
		self.bnESC["text"] = "Abbruch"
		self.bnESC["command"] = self.quit
		self.bnESC.pack(padx="10",pady="10", side="right")

		self.bnInputStr = tkinter.Button(self)
		self.bnInputStr["text"] = "InputStr"
		self.bnInputStr["command"] = self.oninputstr
		self.bnInputStr.pack(padx="10",pady="10", side="right")

		self.bnInputInt = tkinter.Button(self)
		self.bnInputInt["text"] = "InputInt"
		self.bnInputInt["command"] = self.oninputint
		self.bnInputInt.pack(padx="10",pady="10", side="right")

		self.bnInputFloat = tkinter.Button(self)
		self.bnInputFloat["text"] = "InputFloat"
		self.bnInputFloat["command"] = self.oninputfloat
		self.bnInputFloat.pack(padx="10",pady="10", side="right")

		

	def oninputstr(self):
		result = simpledialog.askstring( "Hello Python", "Hello World")
		if result == None:
			messagebox.showinfo("Eingabe","keine")
		else:
			messagebox.showinfo("Eingabe",result)


	def oninputint(self):
		result = simpledialog.askinteger( "Hello Python", "Hello World", initialvalue=42, minvalue=1, maxvalue=99)
		if result == None:
			messagebox.showinfo("Eingabe","keine")
		else:
			messagebox.showinfo("Eingabe",result)


	def oninputfloat(self):
		result = simpledialog.askfloat( "Hello Python", "Hello World", initialvalue=42, minvalue=1, maxvalue=99)
		if result == None:
			messagebox.showinfo("Eingabe","keine")
		else:
			messagebox.showinfo("Eingabe",result)


root = tkinter.Tk()
root.title("Mein Fenster")
# root.geometry("200x100")
app = MyApp(root)
app.mainloop()